<?php

namespace Modules\OffersNetwork\Http\Controllers\Api;


use Illuminate\Routing\Controller;
use Modules\OffersNetwork\Http\Services\Providers\CPXResearch;
use Modules\OffersNetwork\Http\Services\Providers\Kiwiwall;
use Modules\OffersNetwork\Http\Services\Providers\Monlix;
use Modules\OffersNetwork\Http\Services\Providers\Notik;
use Modules\OffersNetwork\Http\Services\Providers\Wannads;

class FetchProviderController extends Controller
{

    public function index($provider = 'notik')
    {
        if ($provider == 'notik') {
            return Notik::get();
        }

        return 'done';
    }

    public function fetch($provider)
    {
        abort_if(!in_array($provider, ['wannads', 'cpx-research', 'monlix', 'kiwiwall']), 404);

        switch ($provider) {
            case 'wannads':
                return Wannads::get();
                break;
            case 'cpx-research':
                return CPXResearch::get();
                break;

            case 'monlix':
                return Monlix::get();
                break;

            case 'kiwiwall':
                return Kiwiwall::get();
                break;
        }
    }
}
