<?php

namespace Modules\OffersNetwork\Http\Controllers\Api;


use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\Session;
use Modules\OffersNetwork\Http\Services\Providers\CPXResearch;
use Modules\OffersNetwork\Http\Services\Providers\Kiwiwall;
use Modules\OffersNetwork\Http\Services\Providers\Monlix;
use Modules\OffersNetwork\Http\Services\Providers\Notik;
use Modules\OffersNetwork\Http\Services\Providers\Wannads;

class FetchProviderController extends Controller
{

    public function index($provider = 'notik')
    {
        if ($provider == 'notik') {
            return Notik::get();
        }

        return 'done';
    }

    public function fetch($provider)
    {
        abort_if(!in_array($provider, ['wannads', 'cpx-research', 'monlix', 'kiwiwall']), 404);

        $getProvider = Session::get( $provider . "_OFFER");
        if($getProvider){
            return 'loaded';
        }else{
            $loadProvider = null;   
            switch ($provider) {
                case 'wannads':
                    $loadProvider = Wannads::get();
                    break;
                case 'cpx-research':
                    $loadProvider = CPXResearch::get();
                    break;
    
                case 'monlix':
                    $loadProvider = Monlix::get();
                    break;
    
                case 'kiwiwall':
                    $loadProvider = Kiwiwall::get();
                    break;
            }
            
            Session::put( $provider . "_OFFER", $loadProvider);
            return 'loadedAfterSession';
        }
    }
}
