<?php

namespace App\Http\Livewire\Admin\Offerwall;

use Livewire\Component;
use Livewire\WithPagination;

class PostbackLog extends Component
{
    use WithPagination;
    
    public $search;
    
    public function updatingSearch()
    {
        $this->resetPage();
    }
    
    public function render()
    {
        return view('admin.offer-wall.postback-log',[
                        'logs' => $this->query()->paginate()
                    ])
                ->layout('admin.layout.primary');
    }
    
    protected function query()
    {
        $query = \DB::table('request_logs');
        
        if($this->search){
            $query = $query->where('source', 'like', '%' . $this->search . '%');
        }
        
        return $query->orderBy('id');
        
    }
    
}