<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class OfferSetup extends Model
{
    use HasFactory;

    protected $guarded = [];

    protected $casts = [
        'offer_keys' => 'object',
        'offer_params' => 'object',
    ];

    public function log()
    {
        return $this->hasMany(OfferLog::class, 'offer_id', 'id');
    }

    public function scopeActive($query)
    {
        return $query->where('is_active', true);
    }
}
