<div>
  <div class="chat-container @if($showChat) active @endif">
    @if ($showChat)
    <div class="chart-info position-absolute top-0">
      <div class="current-online">
        <i class="fas fa-dot-circle info"></i> {{ showAmount($currentOnline, 0) }} online
      </div>
      <div class="support">
        <a href="{{ route('user.ticket.open') }}">
          <i class="fas fa-headset fa-2x me-5"></i>
        </a>
      </div>
    </div>
    <div class="load-more text-center">
      <div class="btn btn-sm btn-dark align-self-center p-0 px-2" wire:click="loadMore()">..</div>
    </div>
      <div class="chat-messages" @if (is_local() == false) wire:poll.70ms @endif>
        @foreach ($chats as $message)
          @if ($message->users)
            <div class="chats-wrapper">
              <div class="wrapper-top">
                <div>
                  <div class="chat-header">
                    <div class="time">
                      {{ diffForHumans($message->created_at) }}
                    </div>
                    <img src="{{ getUserImage($message->users) }}" alt="" />
                    <div class="username">
                      <p class="user m-0 px-1 py-0">{{ ucfirst($message->users->username) }}</p>
                      @if ($message->users->profile->user_id == 1)
                        <p class="admin-chat info m-0 px-1 py-0">
                          Owner
                        </p>
                      @endif
                    </div>
                  </div>
                </div>
              </div>
              <div class="wrapper-bottom">
                <p>{{ $message->message }}</p>
              </div>
            </div>
          @endif
        @endforeach
      </div>
      <div class="chart-form">
        @auth()
          <form id="chat_form" wire:submit.prevent="sendMessage">
            <input class="form-control" type="text" wire:model.defer="messageText" placeholder="Say Something" />
            <div class="animas-holder"></div>
            <button type="submit" class="btn btn-info btn-dark">
              <i class="fas fa-paper-plane"></i>
            </button>
          </form>
        @else
          <form id="chat_form" action="{{ route('user.login') }}">
            <input class="form-control" type="text" wire:model.defer="messageText" placeholder="Please Login" />
          </form>
        @endauth
      </div>
    @endif
  </div>
</div>
