@extends(SETTING['site_theme'] . 'layouts.app')
@section('title', 'Privacy Policy ')

@section('content')
    <div class="card">
        <div class="card-body">
            <h5 class="card-title">
                Privacy Policy
            </h5>

            <div class="panel-title">1.0 - Introduction</div>
            Our Site have designed this site in compliance with data protection regulations to assure you, the user, can
            use our services knowing the integrity of your personal information is secure. This privacy policy describes the
            steps we take to maintain the integrity of your information and disclose both how and why we collect your
            information. By continuing to use our services, you are consenting to the collection and storage of your data as
            described in this privacy policy.


            <div class="panel-title">2.0 - Data Collection</div>
            When using our services, you may be required to share personal information about yourself, such as your email
            address, full name, home address etc. This information is collected for the sole purpose of providing you with
            suitable surveys and offers. A particular survey may have a determined audience required, so this information
            helps filter out irrelevant surveys which you would not have qualified for. We will never knowingly collect
            personal information from anyone under 13 years of age.
            We also collect non-personal information, including your IP address, browser type and cookies. This information
            allows us to provide you with a better experience and allows us to minimise fraud on our services.


            <div class="panel-title">3.0 - Cookies and Local Storage</div>
            This site uses Cookies to identify your computer and allow us to associate requests from your computer with the
            relevant user. Local Storage provides useful functionality, such as remembering user preferences from previous
            browsing sessions.
            By using our services, you are agreeing with our use of Cookies and Local Storage outlined above. Cookies and
            Local Storage may be cleared or blocked at any time, however the functionality of our services will be severely
            limited if you choose to block them.


            <div class="panel-title">4.0 - Third Parties</div>
            The Site uses third-party partners such as offer walls and survey routers to provide you as a user with offers
            and surveys. The information that we share with these partners varies depending on the offer type. For regular
            ‘offers’, the only information we share is your unique ID generated by us to uniquely identify your account. For
            ‘surveys’, the only information we share is your unique ID, along with any information you have provided to us,
            which is passed to help the provider filter out irrelevant surveys.
            Any third-party services integrated in our site may collect information from you on their own website as well,
            and they have separate and independent privacy policies. We bear no responsibility or liability for their
            content and activities. If you are dissatisfied or concerned about any of these third-party privacy policies,
            please contact us and we will be happy to investigate.


            <div class="panel-title">5.0 - Sharing of Information</div>
            Our policy is to not to share, sell, or rent your personal information to third parties for our own personal
            benefit, however there may be situations where we are required to share your personal details with third
            parties, such as relevant law enforcement agencies. If we believe that it is reasonably necessary to comply with
            law enforcement or other regulatory bodies, we may do so without your prior consent or notice.
            We may also share your personal information if we believe it is necessary to investigate, prevent, or act
            regarding situations that pose a threat to the security, rights and assets of the company, or violations to our
            policies or terms of service. We may also share your personal information if necessary in cases of fraud, such
            as credit card fraud on offers.
            The disclosure of sensitive information to relevant organisations or authorities is up to the sole discretion of
            the management of the company.


            <div class="panel-title">6.0 - Security</div>
            We take your data protection and sensitivity very seriously. We employ industry standard techniques to protect
            against unauthorized access of data about you that we store, including personal information.
            The personal information we collect about you is stored in secure servers, hosted by industry-leading hosting
            providers. We also maintain many security measures to attempt to protect against the loss, misuse and alteration
            of the personal information within our control.
            However, no method of transmission or electronic storage is 100% secure. Therefore, we cannot guarantee the
            security of such information or be responsible for any damage that results from a breach in security.
            Furthermore, you should be aware that the Internet and other various networking communication media are not
            entirely secure, and your information may therefore be subject to interception or loss which is beyond our
            reasonable control. In conclusion, while we strive to protect your personal information, we cannot ensure or
            warrant the security of any personal information you transmit to us, and any transmission is done at your own
            risk. Accordingly, we assume no responsibility or liability for disclosure of your personal information or other
            information due to errors in transmission, unauthorized third-party access, or other causes beyond our
            reasonable control.


            <div class="panel-title">7.0 - For European Residents</div>
            If you are located in Europe, please be advised of the following required by the General Data Protection
            Regulation: The Company may provide the Service to Users located in Europe.
            In its interaction with European Users of the Service, the Company is a data controller such that we are the
            organization which decides the purposes for which and the ways in which any personal data that we have collected
            is used.
            You agree that we are entitled to obtain, use and process the information you provide to us to enable us to
            discharge the services.
            Further, you agree that we are allowed to store your data on servers located in the USA.
            Our lawful reason for processing your personal information will be "legitimate interests". Under "legitimate
            interests" we can process your personal information if we have a genuine and legitimate reason and we are not
            harming any of your rights and interests.
            Pursuant to applicable law, Easy Earn may disclose or transfer personal data and other information collected
            through the Application/Services to third parties.
            We will process your persona data in a lawful, fair and transparent manner on only for the legitimate purpose of
            being able to provide the service.
            We will only request, process and maintain personal information to the extent necessary to be able to provide
            the Service. We will keep in such form that, and only for the duration that, permits identification of data
            subjects for no longer than necessary.
            You may withdraw consent at any time and request that your personal information be erased.
            You may request a copy of all personal information maintained about you and request that it be rectified in the
            event any information is incorrect.
            The Company maintains all records in their entirety until and unless the User requests account deletion, at
            which time we will delete all personal information without undue delay. If you request that we erase your
            personal information, we will also be required to delete your account and you will not be eligible to use the
            service unless you open another account.


            <div class="panel-title">8.0 - For Californian Residents</div>
            The California Code of Regulations defines a "resident" as:

            Every individual who is in the State of California for other than a temporary or transitory purpose and every
            individual who is domiciled in the State of California who is outside the State of California for a temporary or
            transitory purpose.
            All other individuals are defined as non-residents. If this definition of "resident" applies to you, we must
            adhere to certain rights and obligations regarding your personal information. To the extent those rights apply
            to you, they are described below. The Company also handles certain personal information on behalf of
            third-parties and/or partners of the Company. You should contact these third-parties and/or partners to exercise
            any rights you may have with respect to that personal information.
            Pursuant to the California Consumer Protection Act of 2018 (“CCPA”), and subject to certain exceptions and
            limitations, residents of California are able to contact the Company to exercise the rights described below with
            respect to certain personal information that the Company holds about them.
            You are entitled to receive the following:
            Whether we collect and use your personal information The business purpose for collecting personal information

            The categories of your personal information that the Company has collected in the preceding 12 months
            The categories of sources from which that information was collected
            The categories of personal information that we disclosed for a business purpose
            The categories of third parties to whom the personal information was disclosed for a business purpose
            The specific pieces of personal information the Company has collected about you.
            You also hold the entitlement to request the deletion of your personal information, just like any other user of
            the Site. If you ask us to delete your personal information, we will respect your request and delete your
            personal information, subject to certain exceptions provided by law, such as (but not limited to) the exercise
            by another user of his or her right to free speech, our compliance requirements resulting from a legal
            obligation or any processing that may be required to protect against illegal activities. Furthermore, residents
            of California are also subject to the following other privacy rights:

            We will not discriminate against if you exercise your privacy rights.
            You may object to the processing of your personal data You may request correction of your personal data if it is
            incorrect or no longer relevant, or ask to restrict the processing of the data.
            You can designate an authorized agent to make a request under the CCPA on your behalf.
            If you are a California resident and would like to make such a request to exercise any of these rights, please
            submit your request in writing to us using the contact information provided in Section (11).


            <div class="panel-title">9.0 - Right to Withdraw Consent</div>
            You have the right to withdraw your consent at any time or to access and request that we rectify or remove your
            personal data from our system(s). You may exercise this right by submitting a written request to the contact
            information provided in Section (11).


            <div class="panel-title">10.0 - Changes to this Privacy Policy</div>
            We might update this Privacy Policy from time to time, with or without prior notice, so you should bookmark this
            page and check it regularly. We will inform you by changing the date on this page noting when the policy was
            last updated. Continued use of the Site is used as your consent.


            <div class="panel-title">11.0 - Contact</div>
            If you have any more questions in regards to our privacy policy, please contact us at info@easyearn.ca If
            you contact us to exercise your privacy rights, for your account's protection we might request proof of your
            identity.
            <p>
                Last Updated: 26/08/2024
            </p>

        </div>
    </div>
@endsection
