<?php $__env->startSection('content'); ?>
    <div class="row justify-content-center">
        <div class="col-lg-6">
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title">
                        <?php echo app('translator')->get('Recover your password!'); ?>
                    </h3>
                </div>
                <div class="card-body">
                    <form class="account-form" method="POST" action="<?php echo e(route('user.password.update')); ?>">
                        <?php echo csrf_field(); ?>

                        <input type="hidden" name="email" value="<?php echo e($email); ?>">
                        <input type="hidden" name="token" value="<?php echo e($token); ?>">
                        <div class="panel">
                            <div class="account-thumb-area text-center">
                                <h3 class="title"><?php echo app('translator')->get('Reset Password'); ?></h3>
                            </div>

                            <div class="form-group hover-input-popup">
                                <label for="password" ><?php echo app('translator')->get('Password'); ?></label>
                                <input id="password" type="password" class="form-control" name="password" required>
                                <?php if(GENERAL_SETTING['secure_password']): ?>
                                    <div class="input-popup">
                                        <p class="error lower"><?php echo app('translator')->get('1 small letter minimum'); ?></p>
                                        <p class="error capital"><?php echo app('translator')->get('1 capital letter minimum'); ?></p>
                                        <p class="error number"><?php echo app('translator')->get('1 number minimum'); ?></p>
                                        <p class="error special"><?php echo app('translator')->get('1 special character minimum'); ?></p>
                                        <p class="error minimum"><?php echo app('translator')->get('6 character password'); ?></p>
                                    </div>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <label for="password-confirm" ><?php echo app('translator')->get('Confirm Password'); ?></label>
                                <input id="password-confirm" type="password" class="form-control"
                                    name="password_confirmation" required autocomplete="new-password">
                            </div>

                            <button type="submit" class="btn btn-primary w-100"
                                ><?php echo app('translator')->get('Reset Password'); ?></button>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php if (isset($component)) { $__componentOriginal71c6471fa76ce19017edc287b6f4508c = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.js-notify','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('js-notify'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal71c6471fa76ce19017edc287b6f4508c)): ?>
<?php $component = $__componentOriginal71c6471fa76ce19017edc287b6f4508c; ?>
<?php unset($__componentOriginal71c6471fa76ce19017edc287b6f4508c); ?>
<?php endif; ?>
<?php $__env->startPush('style'); ?> 
<style>
.form-group.hover-input-popup {
    position: relative;
}
.form-group.hover-input-popup .input-popup {
    position: absolute;
    top: 70px;
    left: 28px;
    background: #383d52;
    color: #bcb7be;
    padding: 5px;
    border-radius: 5px;
    display: none;
}

.form-group.hover-input-popup:hover .input-popup {
    display: block;
}

.input-popup p {
    padding: 2px 0;
    margin: 0px;
}
.input-popup p.error {
    color: coral;
}
.input-popup p.success {
    color: rgb(4, 191, 197);
}
</style>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('script'); ?>
    <?php if(GENERAL_SETTING['secure_password']): ?>
        <script src="<?php echo e(asset('asset/static/app/js/secure_password.js')); ?>"></script>
    <?php endif; ?>
    <script>
        "use strict";

        (function($) {

            <?php if(GENERAL_SETTING['secure_password']): ?>
                $('input[name=password]').on('input', function() {
                    secure_password($(this));
                });
            <?php endif; ?>    
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make(SETTING['site_theme'] . 'layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/easyrgai/public_html/core/resources/views/theme/nova/auth/passwords/reset.blade.php ENDPATH**/ ?>