<form action="<?php echo e(route('moder.users.update', [$user->id])); ?>" method="POST" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>

    <div class="row">
        <div class="col-md-6">
            <div class="form-group ">
                <label class=""><?php echo app('translator')->get('First Name'); ?><span class="text-danger">*</span></label>
                <input class="form-control" type="text" name="firstname" value="<?php echo e($user->firstname); ?>">
            </div>
        </div>

        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label  font-weight-bold"><?php echo app('translator')->get('Last Name'); ?> <span
                        class="text-danger">*</span></label>
                <input class="form-control" type="text" name="lastname" value="<?php echo e($user->lastname); ?>">
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-6">
            <div class="form-group ">
                <label class=""><?php echo app('translator')->get('Email'); ?> <span class="text-danger">*</span></label>
                <input class="form-control" type="email" name="email" value="<?php echo e($user->email); ?>">
            </div>
        </div>
    </div>


    <div class="row mt-4">
        <div class="col-md-6">
            <div class="form-group ">
                <label class=""><?php echo app('translator')->get('Address 1'); ?> </label>
                <input class="form-control" type="text" name="address[address1]"
                    value="<?php echo e(@$userAddress['address1']); ?>">
            </div>
        </div>

        <div class="col-md-6">
            <div class="form-group ">
                <label class=""><?php echo app('translator')->get('Address 2'); ?> </label>
                <input class="form-control" type="text" name="address[address2]"
                    value="<?php echo e(@$userAddress['address2']); ?>">
            </div>
        </div>

        <div class="col-xl-3 col-md-6">
            <div class="form-group">
                <label class=""><?php echo app('translator')->get('City'); ?> </label>
                <input class="form-control" type="text" name="address[city]" value="<?php echo e(@$userAddress['city']); ?>">
            </div>
        </div>

        <div class="col-xl-3 col-md-6">
            <div class="form-group ">
                <label class=""><?php echo app('translator')->get('State'); ?> </label>
                <input class="form-control" type="text" name="address[state]" value="<?php echo e(@$userAddress['state']); ?>">
            </div>
        </div>

        <div class="col-xl-3 col-md-6">
            <div class="form-group ">
                <label class=""><?php echo app('translator')->get('Zip/Postal'); ?> </label>
                <input class="form-control" type="text" name="address[zip]" value="<?php echo e(@$userAddress['zip']); ?>">
            </div>
        </div>

        <div class="col-xl-3 col-md-6">
            <div class="form-group ">
                <label class=""><?php echo app('translator')->get('Country'); ?> </label>
                <select name="address[country]" class="form-control">
                    <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($country); ?>" <?php if($country == @$userAddress['country']): ?> selected <?php endif; ?>>
                            <?php echo e(__($country)); ?>

                        </option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
        </div>
    </div>


    <div class="row mt-3">
        <div class="form-group d-flex align-items-center justify-content-between">
            <label><?php echo app('translator')->get('User Ref bonus on register'); ?> </label>
            <input type="checkbox" name="ref_bounce" <?php if($user->ref_bounce): ?> checked <?php endif; ?>>
        </div>
        <div class="form-group d-flex align-items-center justify-content-between">
            <label><?php echo app('translator')->get('User Status'); ?> </label>
            <input type="checkbox" name="status" <?php if($user->status): ?> checked <?php endif; ?>>
        </div>

        <div class="form-group d-flex align-items-center justify-content-between">
            <label><?php echo app('translator')->get('Email Verification'); ?> </label>
            <input type="checkbox" name="ev" <?php if($user->ev): ?> checked <?php endif; ?>>

        </div>

        <div class="form-group d-flex align-items-center justify-content-between">
            <label><?php echo app('translator')->get('2FA Status'); ?> </label>
            <input type="checkbox" name="ts" <?php if($user->ts): ?> checked <?php endif; ?>>
        </div>

        <div class="form-group d-flex align-items-center justify-content-between">
            <label><?php echo app('translator')->get('2FA Verification'); ?> </label>
            <input type="checkbox" name="tv" <?php if($user->tv): ?> checked <?php endif; ?>>
        </div>

        <div class="form-group d-flex align-items-center justify-content-between">
            <label><?php echo app('translator')->get('User Verification'); ?> </label>
            <input type="checkbox" name="active_status_by_admin" <?php if($user->active_status_by_admin == 1): ?> checked <?php endif; ?>>
        </div>
    </div>

    <div class="row mt-4">
        <div class="col-md-12">
            <div class="form-group">
                <button type="submit" class="btn btn-success btn-block my-1 w-100"><?php echo app('translator')->get('Save Changes'); ?>
                </button>
            </div>
        </div>
    </div>
</form>
<?php /**PATH /home/easyrgai/public_html/core/resources/views/admin/users/partials/user-info.blade.php ENDPATH**/ ?>