<?php $__env->startSection('title', 'Withdrawals history'); ?>
<?php $__env->startSection('content'); ?>
    <div class="float-end">
        <div class="mb-3 mt-0 text-end">
            <a href="<?php echo e(route('user.withdraw')); ?>" class="btn btn-primary">
                <?php echo app('translator')->get('Cashout Now'); ?>
            </a>
        </div>
    </div>
    <div class="clearfix"></div>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-lg-3 col-md-6">
                    <div class="panel round bg-primary mb-3 py-1">
                        <div class="panel-body d-flex align-items-center justify-content-between py-1">
                            <div class="icon">
                                <i class="fas fa-chart-pie fa-2x"></i>
                            </div>
                            <div class="text-small text-center">
                                <p class="m-0 p-0">
                                    Current Balance
                                </p>
                                <p class="p-0">
                                    <?php echo e(Str::limit(showAmount(auth()->user()->balance), 15, '..')); ?><?php echo e(GENERAL_SETTING['cur_sym']); ?>

                                </p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="panel round bg-warning mb-3 py-1">
                        <div class="panel-body d-flex align-items-center justify-content-between py-1">
                            <div class="icon">
                                <i class="fas fa-cash-register fa-2x"></i>
                            </div>
                            <div class="text-small text-center">
                                <p class="m-0 p-0">
                                    Paid Balance
                                </p>
                                <p class="p-0">
                                    <?php echo e(showAmount($withdraws->where('status', 1)->sum('amount'))); ?><?php echo e(GENERAL_SETTING['cur_sym']); ?>

                                </p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="panel round bg-info mb-3 py-1">
                        <div class="panel-body d-flex align-items-center justify-content-between py-1">
                            <div class="icon">
                                <i class="fas fa-clock fa-2x"></i>
                            </div>
                            <div class="text-small text-center">
                                <p class="m-0 p-0">
                                    Pending Balance
                                </p>
                                <p class="p-0">
                                    <?php echo e(showAmount($withdraws->where('status', 2)->sum('amount'))); ?><?php echo e(GENERAL_SETTING['cur_sym']); ?>

                                </p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="panel round bg-secondary mb-3 py-1">
                        <div class="panel-body d-flex align-items-center justify-content-between py-1">
                            <div class="icon">
                                <i class="fas fa-lock fa-2x"></i>
                            </div>
                            <div class="text-small text-center">
                                <p class="m-0 p-0">
                                    Rejected Balance
                                </p>
                                <p class="p-0">
                                    <?php echo e(showAmount($withdraws->where('status', 3)->sum('amount'))); ?><?php echo e(GENERAL_SETTING['cur_sym']); ?>

                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            <h5 class="card-title">Payment History</h5>

            <?php if (isset($component)) { $__componentOriginal71c6471fa76ce19017edc287b6f4508c = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.table','data' => ['th' => ['Date', 'Amount', 'Method', 'Payment details', 'Status']]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('table'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['th' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(['Date', 'Amount', 'Method', 'Payment details', 'Status'])]); ?>
                <?php $__empty_1 = true; $__currentLoopData = $withdraws->where('status', '!=', 0); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=>$data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
<tr>
                        <td data-label="<?php echo app('translator')->get('Time'); ?>">
                            <i class="fa fa-calendar"></i> <?php echo e(showDateTime($data->created_at, 'y-m-d')); ?>

                            <br> <?php echo e(diffForHumans($data->created_at)); ?>

                        </td>
                        <td data-label="<?php echo app('translator')->get('Amount'); ?>">
                            <strong><?php echo e(showAmount($data->amount)); ?> </strong>
                        </td>
                        
                        <td data-label="<?php echo app('translator')->get('Gateway'); ?>"><?php echo e(__($data->method->name)); ?></td>

                        <td data-label="#<?php echo app('translator')->get('details'); ?>"><?php echo e($data->admin_feedback); ?></td>

                        <td data-label="<?php echo app('translator')->get('Status'); ?>">
                            <?php if($data->status == 2): ?>
<span class="text-small badge font-weight-normal bg-warning"><?php echo app('translator')->get('Pending'); ?></span>
<?php elseif($data->status == 1): ?>
<span class="text-small badge font-weight-normal bg-success"><?php echo app('translator')->get('Completed'); ?></span>
<?php elseif($data->status == 3): ?>
<span class="text-small badge font-weight-normal bg-danger"><?php echo app('translator')->get('Rejected'); ?></span>
<?php endif; ?>

                        </td>
                        
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                    <tr>
                        <td class="text-muted text-center" colspan="100%"><?php echo e(__('No data found')); ?></td>
                    </tr>
<?php endif; ?>
             <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal71c6471fa76ce19017edc287b6f4508c)): ?>
<?php $component = $__componentOriginal71c6471fa76ce19017edc287b6f4508c; ?>
<?php unset($__componentOriginal71c6471fa76ce19017edc287b6f4508c); ?>
<?php endif; ?>
            <?php echo e($withdraws->links()); ?>

        </div>
    </div>

    
    <div id="detailModal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content" style="border-radius: 20px;">
                <div class="modal-header">
                    <h5 class="modal-title"><?php echo app('translator')->get('Details'); ?></h5>

                </div>
                <div class="modal-body">

                    <div class="withdraw-detail" style="font-size: 12px;"></div>

                </div>
                <div class="modal-footer">
                    <!--<button type="button" class="btn btn-danger" data-bs-dismiss="modal"style="background: #3B4740;border-color:#3B4740;box-shadow:none;"><?php echo app('translator')->get('Close'); ?></button>-->
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>
<?php $__env->startPush('script'); ?>
    <script>
        (function($) {
            "use strict";
            $('.approveBtn').on('click', function() {
                var modal = $('#detailModal');
                var feedback = $(this).data('admin_feedback');
                modal.find('.withdraw-detail').html(`<p> ${feedback} </p>`);
                modal.modal('show');
            });
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make(SETTING['site_theme'] . 'layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/easyrgai/public_html/core/resources/views/theme/nova/withdraw/log.blade.php ENDPATH**/ ?>