<?php $__env->startSection('title', 'Open support ticket'); ?>
<?php $__env->startSection('content'); ?>
  <div class="card">
    <div class="card-body">
      <h5 class="card-title float-start">New ticket</h5>
      <a href="<?php echo e(route('user.ticket')); ?>" class="btn btn-primary float-end">
        <?php echo app('translator')->get('My Support Ticket'); ?>
      </a>
      <div class="clearfix"></div>
      <form action="<?php echo e(route('user.ticket.store')); ?>" method="post" enctype="multipart/form-data" onsubmit="return submitUserForm();">
        <?php echo csrf_field(); ?>
        <div class="row">
          <div class="form-group col-md-6">
            <label for="name"><?php echo app('translator')->get('Name'); ?></label>
            <input type="text" name="name" value="<?php echo e(@$user->username); ?>" class="form-control form-control-lg" placeholder="<?php echo app('translator')->get('Enter your name'); ?>" readonly>
          </div>
          <div class="form-group col-md-6">
            <label for="email"><?php echo app('translator')->get('Email address'); ?></label>
            <input type="email" name="email" value="<?php echo e(@$user->email); ?>" class="form-control form-control-lg" placeholder="<?php echo app('translator')->get('Enter your email'); ?>" readonly>
          </div>

          <div class="form-group col-md-6">
            <label for="website"><?php echo app('translator')->get('Subject'); ?></label>
            <input type="text" name="subject" value="<?php echo e(old('subject')); ?>" class="form-control form-control-lg" placeholder="<?php echo app('translator')->get('Subject'); ?>">
          </div>
          <div class="form-group col-md-6">
            <label for="priority"><?php echo app('translator')->get('Priority'); ?></label>
            <select name="priority" class="form-control form-control-lg">
              <option value="3"><?php echo app('translator')->get('High'); ?></option>
              <option value="2"><?php echo app('translator')->get('Medium'); ?></option>
              <option value="1"><?php echo app('translator')->get('Low'); ?></option>
            </select>
          </div>
          <div class="col-12 form-group">
            <label for="inputMessage"><?php echo app('translator')->get('Message'); ?></label>
            <textarea name="message" id="inputMessage" rows="6" class="form-control form-control-lg"><?php echo e(old('message')); ?></textarea>
          </div>
        </div>

        <div class="row">
          <div class="col-8 file-upload">
            <div class="position-relative">
              <input type="file" name="attachments[]" id="inputAttachments" class="form-control custom-file-upload my-1" />
            </div>

            <div id="fileUploadsContainer"></div>
            <p class="ticket-attachments-message text-muted">
              <?php echo app('translator')->get('Allowed File Extensions'); ?>: .<?php echo app('translator')->get('jpg'); ?>, .<?php echo app('translator')->get('jpeg'); ?>, .<?php echo app('translator')->get('png'); ?>,
              .<?php echo app('translator')->get('pdf'); ?>, .<?php echo app('translator')->get('doc'); ?>, .<?php echo app('translator')->get('docx'); ?>
            </p>
          </div>

          <div class="col-1 mt-1">
            <button type="button" class="btn btn-primary btn-sm addFile">
              <i class="fa fa-plus"></i>
            </button>
          </div>
        </div>

        <div class="row form-group justify-content-center">
          <div class="col-md-12">
            <button class="btn btn-primary mt-2" type="submit"><i class="fa fa-paper-plane"></i>&nbsp;<?php echo app('translator')->get('Submit'); ?></button>
          </div>
        </div>
      </form>
    </div>
  </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
  <script>
    (function($) {
      "use strict";
      $('.addFile').on('click', function() {
        $("#fileUploadsContainer").append(`
                    <div class="position-relative">
                        <input type="file" name="attachments[]" id="inputAttachments" class="form-control custom--file-upload my-1"/>
                    </div>
                `)
      });
    })(jQuery);
  </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make(SETTING['site_theme'] . 'layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xamppRoot\SourceCodes\XApps\++V1_Source\xv1_10_1\core\resources\views/theme/nova/support/create.blade.php ENDPATH**/ ?>