<div class="card ">
    <div class="card-body">
        <h5 class="card-title">Change Password</h5>
        <form action="<?php echo e(route('user.change.password.submit')); ?>" method="post" class="register">
            <?php echo csrf_field(); ?>
            <div class="form-group">
                <label for="password"><?php echo app('translator')->get('Current Password'); ?></label>
                <input id="password" type="password" class="form-control" name="current_password" required
                    autocomplete="current-password" placeholder="<?php echo app('translator')->get('Current Password'); ?>">
            </div>
            <div class="form-group hover-input-popup">
                <label for="password"><?php echo app('translator')->get('Password'); ?></label>
                <input id="password" type="password" class="form-control" name="password" required
                    autocomplete="current-password" placeholder="<?php echo app('translator')->get('Password'); ?>">
                <?php if(GENERAL_SETTING['secure_password']): ?>
                    <div class="input-popup">
                        <p class="error lower"><?php echo app('translator')->get('1 small letter minimum'); ?></p>
                        <p class="error capital"><?php echo app('translator')->get('1 capital letter minimum'); ?></p>
                        <p class="error number"><?php echo app('translator')->get('1 number minimum'); ?></p>
                        <p class="error special"><?php echo app('translator')->get('1 special character minimum'); ?></p>
                        <p class="error minimum"><?php echo app('translator')->get('6 character password'); ?></p>
                    </div>
                <?php endif; ?>
            </div>
            <div class="form-group">
                <label for="confirm_password"><?php echo app('translator')->get('Confirm Password'); ?></label>
                <input id="password_confirmation" type="password" class="form-control" name="password_confirmation"
                    required autocomplete="current-password" placeholder="<?php echo app('translator')->get('Confirm Password'); ?>">
            </div>
            <div class="form-group text-center">
                <input type="submit" class="mt-4 btn btn-primary" value="<?php echo app('translator')->get('Update'); ?>">
            </div>
        </form>
    </div>
</div>

<?php $__env->startPush('style'); ?>
    <style>
        .form-group.hover-input-popup {
            position: relative;
        }

        .form-group.hover-input-popup .input-popup {
            position: absolute;
            top: 70px;
            left: 28px;
            background: #383d52;
            color: #bcb7be;
            padding: 5px;
            border-radius: 5px;
            display: none;
        }

        .form-group.hover-input-popup:hover .input-popup {
            display: block;
        }

        .input-popup p {
            padding: 2px 0;
            margin: 0px;
        }

        .input-popup p.error {
            color: coral;
        }

        .input-popup p.success {
            color: rgb(4, 191, 197);
        }
    </style>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('script'); ?>
    <script src="<?php echo e(asset('asset/static/app/js/secure_password.js')); ?>"></script>
    <script>
        (function($) {
            "use strict";
            <?php if(GENERAL_SETTING['secure_password']): ?>
                $('input[name=password]').on('input', function() {
                    secure_password($(this));
                });
            <?php endif; ?>
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>
<?php /**PATH /home/easyrgai/public_html/core/resources/views/theme/nova/profile/partials/password.blade.php ENDPATH**/ ?>