
<?php $__env->startSection('title', __('Offers')); ?>
<?php $__env->startSection('panel'); ?>
    <div class="card">
        <div class="card-header">
            <h3 class="card-title">
                Manage Offers
            </h3>
        </div>
        <div class="card-body">
            <div class="table-form mb-2">
                <div class="row">
                    <form action="" method="GET">
                        <div class="col-lg-6 col-md-6 mb-2">
                            <div class="d-flex align-items-center justify-content-center">
                                <?php if(request()->query()): ?>
                                    <a class="badge bg-info"
                                        href="<?php echo e(route('moder.offers-network.manage-offers.list')); ?>">
                                        reset
                                    </a>
                                <?php endif; ?>
                                <input type="search" name="s" id="s" class="form-control"
                                    placeholder="search by offer title" value="<?php echo e(request('s')); ?>" />
                                <button type="submit" class="btn btn-primary btn-sm m-auto">
                                    <i class="fas fa-search"></i>
                                </button>

                            </div>
                        </div>
                    </form>
                    <div class="col-lg-3 col-sm-6">
                        <select name="is_completed" class="form-control" onchange="filterBy(this)">
                            <option value="all">UnCompleted/Completed</option>
                            <option value="yes" <?php if(request('is_completed') == 'yes'): ?> selected="true" <?php endif; ?>>Completed
                            </option>
                            <option value="no" <?php if(request('is_completed') == 'no'): ?> selected="true" <?php endif; ?>>UnCompleted
                            </option>
                        </select>
                    </div>
                    <div class="col-lg-3 col-sm-6">
                        <select name="is_active" class="form-control" onchange="filterBy(this)">
                            <option value="all">InActive/Active</option>
                            <option value="yes" <?php if(request('is_active') == 'yes'): ?> selected="true" <?php endif; ?>>Active</option>
                            <option value="no" <?php if(request('is_active') == 'no'): ?> selected="true" <?php endif; ?>>InActive
                            </option>
                        </select>
                    </div>
                    <div class="col-lg-3 col-sm-6">
                        <select name="is_banner" class="form-control" onchange="filterBy(this)">
                            <option value="all">banner/not banner</option>
                            <option value="yes" <?php if(request('is_banner') == 'yes'): ?> selected="true" <?php endif; ?>>Is banner
                            </option>
                            <option value="no" <?php if(request('is_banner') == 'no'): ?> selected="true" <?php endif; ?>>not in banner
                            </option>
                        </select>
                    </div>

                    <div class="col-lg-3 col-sm-6">
                        <select name="provider" class="form-control" onchange="filterBy(this)">
                            <option value="all">Select Provider</option>
                            <?php $__currentLoopData = $providers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $provider): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($provider->name); ?>"
                                    <?php if(request('provider') == $provider->name): ?> selected="true" <?php endif; ?>><?php echo e($provider->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>

            </div>
            <?php if (isset($component)) { $__componentOriginal71c6471fa76ce19017edc287b6f4508c = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.table','data' => ['th' => ['#', 'Provider', 'Title', 'Status', 'Completed', 'Is Banner', '']]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('table'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['th' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(['#', 'Provider', 'Title', 'Status', 'Completed', 'Is Banner', ''])]); ?>
                <?php $__currentLoopData = $offers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e(++$index); ?></td>
                        <td><?php echo e($item->provider->name); ?></td>
                        <td><?php echo e(Str::limit($item->name, 15)); ?></td>

                        <td><?php echo bolToText($item->is_active, true, 'Inactive', 'Active'); ?>

                            <a href="<?php echo e(route('moder.offers-network.manage-offers.active', $item->id)); ?>"
                                class="btn btn-sm btn-default px-2 py-0">
                                <i class="fas fa-exchange-alt"></i>
                            </a>
                        </td>

                        <td><?php echo bolToText($item->is_completed, true, 'NotCompleted', 'Completed'); ?>

                            <a href="<?php echo e(route('moder.offers-network.manage-offers.completed', $item->id)); ?>"
                                class="btn btn-sm btn-default px-2 py-0">
                                <i class="fas fa-exchange-alt"></i>
                            </a>
                        </td>
                        <td><?php echo bolToText($item->is_banner, true, 'No', 'Yes'); ?>

                            <a href="<?php echo e(route('moder.offers-network.manage-offers.banner', $item->id)); ?>"
                                class="btn btn-sm btn-default px-2 py-0">
                                <i class="fas fa-exchange-alt"></i>
                            </a>
                        </td>
                        <td>
                            <button type="button" class="btn btn-sm btn-danger deleteBtn"
                                data-offer-id="<?php echo e($item->id); ?>">
                                <i class="fas fa-trash"></i>
                            </button>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
             <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal71c6471fa76ce19017edc287b6f4508c)): ?>
<?php $component = $__componentOriginal71c6471fa76ce19017edc287b6f4508c; ?>
<?php unset($__componentOriginal71c6471fa76ce19017edc287b6f4508c); ?>
<?php endif; ?>

            <?php if(request()->query()): ?>
                <?php echo e($offers->appends(request()->query())->links()); ?>

            <?php else: ?>
                <?php echo e($offers->links()); ?>

            <?php endif; ?>

        </div>
    </div>

    
    <div class="modal fade" id="offerModalDelete" tabindex="-1" role="dialog" aria-labelledby="offerModalDeleteLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title font-weight-normal" id="offerModalDeleteLabel">Manage Affiliate Network</h5>
                    <button type="button" class="btn-close text-dark" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">

                    <form action="<?php echo e(route('moder.offers-network.manage-offers.delete')); ?>">
                        <div class="modal-body">
                            <p>Are you sure to delete this offer?</p>
                            <p>If the offer has submissions, that may be break site</p>
                            <p>Recommended: disable it</p>
                            <?php if (isset($component)) { $__componentOriginal71c6471fa76ce19017edc287b6f4508c = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'bs::components.input','data' => ['type' => 'hidden','name' => 'id','requied' => true]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('bs::input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes(['type' => 'hidden','name' => 'id','requied' => true]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal71c6471fa76ce19017edc287b6f4508c)): ?>
<?php $component = $__componentOriginal71c6471fa76ce19017edc287b6f4508c; ?>
<?php unset($__componentOriginal71c6471fa76ce19017edc287b6f4508c); ?>
<?php endif; ?>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-dark" data-bs-dismiss="modal">Close</button>
                            <button type="submit" class="btn btn-primary">Continue</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <?php if (isset($component)) { $__componentOriginal71c6471fa76ce19017edc287b6f4508c = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.js-notify','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('js-notify'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal71c6471fa76ce19017edc287b6f4508c)): ?>
<?php $component = $__componentOriginal71c6471fa76ce19017edc287b6f4508c; ?>
<?php unset($__componentOriginal71c6471fa76ce19017edc287b6f4508c); ?>
<?php endif; ?>
    <?php if (isset($component)) { $__componentOriginal71c6471fa76ce19017edc287b6f4508c = $component; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.select2','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('select2'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(Illuminate\View\AnonymousComponent::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal71c6471fa76ce19017edc287b6f4508c)): ?>
<?php $component = $__componentOriginal71c6471fa76ce19017edc287b6f4508c; ?>
<?php unset($__componentOriginal71c6471fa76ce19017edc287b6f4508c); ?>
<?php endif; ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('script'); ?>
    <script>
        $(document).ready(function() {
            $('.deleteBtn').click(function(e) {
                e.preventDefault();
                const $id = $(this).data('offer-id');
                $('input[name="id"]').val($id);
                $('.modal#offerModalDelete').modal('show');
            })
        })

        function filterBy($type) {
            let selectedValue = $($type).val();
            let name = $($type).attr('name');
            let currentUrl = window.location.href;

            // Parse the current URL query parameters
            let urlParams = new URLSearchParams(currentUrl.split('?')[1]);

            if (urlParams.has(name)) {
                // Check if the selected filter is the same as the current one
                if (urlParams.get(name) === selectedValue) {
                    // If they are the same, remove the filter from the URL
                    urlParams.delete(name);
                } else {
                    // If they are different, update the filter value
                    urlParams.set(name, selectedValue);
                }
            } else {
                // If the filter does not exist in the URL, add it
                urlParams.set(name, selectedValue);
            }

            // Reconstruct the URL with the updated query parameters
            let newUrl = window.location.origin + window.location.pathname;
            if (urlParams.toString() !== "") {
                newUrl += "?" + urlParams.toString();
            }

            // Navigate to the new URL
            window.location.href = newUrl;
        }
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layout.primary', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/easyrgai/public_html/core/Modules/OffersNetwork/Resources/views/admin/manage-offers/index.blade.php ENDPATH**/ ?>